import junit.framework.AssertionFailedError;
import junit.framework.Test;
import junit.framework.TestResult;

import static org.junit.Assert.*;

public class SampleTest extends TestResult {

    public synchronized void addError(Test test, Throwable t) {
        super.addError((junit.framework.Test) test, t);
    }

    public synchronized void addFailure(Test test, AssertionFailedError t) {
        super.addFailure((junit.framework.Test) test, t);
    }

    @org.junit.Test
    public void testAdd() {
        int a = 10;
        int b = 20;

        assertEquals( (a + b), 30 );
    }

    @org.junit.Test(timeout = 500)
    public void WithDelay() throws InterruptedException {
        int a = 10;
        int b = 20;
        Thread.sleep(1000);
        assertEquals( (a + b), 30 );
    }

    @org.junit.Test(expected = ArithmeticException.class)
    public void withException() {
        int a = 10;
        int b = 20;
        int res = a + b;

        throw new ArithmeticException("some error happened");
    }


    public synchronized void stop() {
        // stop test here
    }

}



//public class SampleTest {
//    int a = 10;
//    int b = 20;
//
//    @Test
//    public void testAdd() {
//        assertEquals( (a + b), 30 );
//    }
//}
